import 'package:flutter/material.dart';

class AddLocation extends StatefulWidget {
  @override
  AddLocationState createState() => AddLocationState();
}

class AddLocationState extends State<AddLocation> {

String _fName;
String _lName;
String _age;
String _address;
String _nic;
String _phoneNumber;
String _riskLocation;
String _hotelName;
String _date;
String _time;

final GlobalKey<FormState> _formKey = GlobalKey<FormState>();

Widget _buildFName(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'First Name'),
    validator: (String value){
      if (value.isEmpty) {
        return '*First Name is Required';
      }
    },
    onSaved: (String value){
      _fName = value;
    },
  );
}

Widget _buildLName(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Last Name'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Last Name is Required';
      }
    },
    onSaved: (String value){
      _lName = value;
    },
  );
}

Widget _buildAge(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Age'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Age is Required';
      }
    },
    onSaved: (String value){
      _age = value;
    },
  );
}

Widget _buildAddress(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Address'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Address is Required';
      }
    },
    onSaved: (String value){
      _address = value;
    },
  );
}

Widget _buildNIC(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'NIC'),
    validator: (String value){
      if (value.isEmpty) {
        return '*NIC is Required';
      }
    },
    onSaved: (String value){
      _nic = value;
    },
  );
}

Widget _buildPhoneNumber(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Phone Number'),
    keyboardType: TextInputType.phone,
    maxLength: 10,
    validator: (String value){
      if (value.isEmpty) {
        return '*Phone Number is Required';
      }
    },
    onSaved: (String value){
      _phoneNumber = value;
    },
  );
}

Widget _buildRiskLocation(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Risk Location'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Location is Required';
      }
    },
    onSaved: (String value){
      _riskLocation = value;
    },
  );
}

Widget _buildHotelName(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Hotel Name'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Hotel Name is Required';
      }
    },
    onSaved: (String value){
      _hotelName = value;
    },
  );
}

Widget _buildDate(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Date'),
    keyboardType: TextInputType.datetime,
    validator: (String value){
      if (value.isEmpty) {
        return '*Date is Required';
      }
    },
    onSaved: (String value){
      _date = value;
    },
  );
}

Widget _buildTime(){
  return TextFormField(
    decoration: InputDecoration(labelText: 'Time'),
    validator: (String value){
      if (value.isEmpty) {
        return '*Time is Required';
      }
    },
    onSaved: (String value){
      _time = value;
    },
  );
}


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backwardsCompatibility: false,
        backgroundColor: Color(0xFF1B5E20),
        title: Text("Add Risk Location"),
      ),
      body: Container(
        margin: EdgeInsets.all(24),  
        child: Form(
          key: _formKey,
          child: Column(
         mainAxisAlignment: MainAxisAlignment.center,
         children: <Widget>[
           _buildFName(),
           _buildLName(),
           _buildAge(),
           _buildAddress(),
           _buildNIC(),
           _buildPhoneNumber(),
           _buildRiskLocation(),
           _buildHotelName(),
           _buildDate(),
           _buildTime(),

           SizedBox(height: 100),
           RaisedButton(
             child: Text(
               'Submit',
               style: TextStyle(color: Colors.green, fontSize: 18),
               ),
             onPressed: () {
               if(!_formKey.currentState.validate()) {
                 return;
               }

               _formKey.currentState.save();

               print(_fName);
               print(_lName);
               print(_age);
               print(_address);
               print(_nic);
               print(_phoneNumber);
               print(_riskLocation);
               print(_hotelName);
               print(_date);
               print(_time);

             } ,
             )


         ], 
        ),),
      ),
    );
  }
}